language: cn
model_unique_abbr: st_co_occurrence_pattern_mining
version: 1.0
identification:
  docker_image_name: st_co_occurrence_pattern_mining:1.0
  model_name: 时空同现模式挖掘
  semantic: A statistical method for detecting spatiotemporal co-occurrence patterns
  description: 时空同现模式挖掘是发现邻近空间位置以及时间范围内同时出现的地理时空对象的关联关系挖掘算法，如犯罪学中不同类型犯罪案件间的时空诱导机制。该算法通过构建概率密度函数方式分解其中一类地理时空对象的条件分布过程，在不同时空地理对象独立分布的零假设下，通过显著性检验对时空同现模式的流行度进行评估。
  category_application: 描述型
  category_data:
    - 时空同现模式挖掘
  keywords:
    - 时空数据挖掘;
    - 同现模式;
    - 显著性检验;
    - 点过程模型

parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      param_type: input_data
      name: 时空点数据
      description: "待操作的的时空点数据,以csv的形式保存，需要包含字段x,y,t,value，分别表示时空坐标与点的类别"
      data_type: csv
      data_semantic: spatial temporal data

    - arg_name: spatial_thresold
      is_single_en_dash: false
      param_type: param
      name: 空间距离阈值
      description: 判定相邻的空间距离阈值，float类型，单位为米，默认值为200
      data_type: float
      data_semantic: Determine the adjacent spatial distance threshold
      specification:
        default: 200

    - arg_name: time_thresold
      is_single_en_dash: false
      param_type: param
      name: 时间阈值
      description: 判定相邻的时间距离阈值，float类型，单位为秒，默认值为1
      data_type: float
      data_semantic: Determine the adjacent temporal distance threshold
      specification:
          default: 1

    - arg_name: n_sets
      is_single_en_dash: false
      param_type: param
      name: 模拟数据集数目
      description: 模拟数据集数目，int类型，默认值为10
      data_type: int
      data_semantic: number of simulated datasets
      specification:
          default: 10

    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 时空同位模式挖掘结果
      description: 挖掘结果的文件，格式为csv，结果将所有可能构成的同位规则与p值存储在文件中
      data_type: csv
      data_semantic: spatiotemporal co-occurrence patterns result

application:
  domain: 时空同位模式挖掘
  objective: 对于给定的时空点集，挖掘不同类别点集之间的具有统计显著性的同位模式
  dimension:
    - 三维
  mechanism: 地理现象在特定时间的特定地点是否发生，可以建模为布尔特征(对象类型)和实例(对象)。给定这样的数据集，不同布尔特征的子集(其实例通常在空间和时间上紧密接近地同时出现)被识别为时空共现模式(stcop)。STCOP检测是时空关联规则挖掘的主要任务之一，有助于识别涉及空间和时间的不同特征之间的潜在相互作用。时空同位在时空格局分析的其他任务中也发挥着关键作用
operation:
  usage: "该算法需要四个参数,输入时空点csvfile的路径,判定时空同位的距离阈值spatial_thresold与时间阈值time_thresold，模拟数据集数目n_sets，结果csvfile路径"
  exec_example:
    - docker run -v $(pwd):/data st_co_occurrence_pattern_mining:1.0 --input /data/input.csv --spatial_thresold 200 --time_thresold 1 --n_sets 10 --output /data/result.csv
  output_display:
    - "结果将所有可能构成的同位规则与p值存在CSV文件中, 不需要可视化"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Zhilong Liu
  organization: Central South University
  contact: 235011045@csu.edu.cn
  references:
    - "Cai, J. N., Deng, M., Liu, Q.L., et al 2019. A statistical method for detecting spatiotemporal co-occurrence patterns. International Journal of Geographical Information Science, 33(5): 967–990."
